var Game = {
    attachIME:function (callback, text) {
        if (!createjs.browser) {
            text = text || "";
            native.attachIME(function (str) {
                console.log("input text=" + str);
                callback(str);
            }, text);
        }
    },

    goURL:function (url, callback) {
        if (!createjs.browser) {
            native.openBrowser(callback, url);
        }
    },

    startActivity:function(callback, activity){
        if(native){
            native.startActivity(callback, activity);
        }
    },


    callFunc:function(clz, method, args, callback){
        /*var p = {};
        p.clz = 'com.nd.complatform.util.JsStaticVar';
        p.method = 'setBuyInfo';
        p.args = {};
        p.args.Serial = result.msg;
        p.args.ProductId = goodInfo.id;
        p.args.ProductName = goodInfo.name;
        p.args.ProductPrice = goodInfo.price;
        p.args.Count = goodInfo.count;
        p.args.PayDescription = goodInfo.descp;
        native.call(function(result) {

        }, JSON.stringify(p));*/

        var p = {};
        p.clz = clz;
        p.method = method;
        p.args = args;
        native.call(callback, JSON.stringify(p));
    },

    showLogin:function(callback){
        if(native){
            /*window.native.startActivity(function(sid){
                setTimeout(function(){
                    callback(sid);
                },1500);
            },"com.uc.sdk.LoginActivity");*/
            native.startActivity(callback,"com.uc.sdk.LoginActivity");
        }
    },

    //公用支付
    pay:function(money, callback){
        if(native){
            var p = {};
            p.clz = 'com.baili.sanguo.utils.JsUtils';
            p.method = 'setPayInfo';
            p.args = {};
            p.args.amount = money;
            //p.args.serverID = 0;
            p.args.uid = DataManager.Singleton.getCacheRequest(UserInfo).data.uid;
            p.args.serverID = DataManager.Singleton.getCacheRequest(UserInfo).data.serverid;
            p.args.serverID = $root.selectServer;
            if($root.access_token){
                //针对360平台
                p.args.accessToken = $root.access_token;
            }
			if($root.payBackURL){
                //360和oppo
                p.args.payBackURL = $root.payBackURL;
            }
            console.log("goEx " + p.args.uid);
            native.call(function(result){
                if(result == "1"){
                    native.startActivity(function(){
                        //setTimeout(function(){
                            callback();
                        //},1500);
                    },"com.uc.sdk.RechargeActivity");
                }
            }, JSON.stringify(p));

        }
    },

    //自有平台的支付卡
    //
    cardPay:function(money, card, pwd, type){
        if(native){
            var p = {};
            p.clz = 'com.baili.sanguo.utils.JsUtils';
            p.method = 'setCardPayInfo';
            p.args = {};
            p.args.amount = money;
            //p.args.serverID = 0;
            p.args.uid = DataManager.Singleton.getCacheRequest(UserInfo).data.uid;
            p.args.serverID = DataManager.Singleton.getCacheRequest(UserInfo).data.serverid;
            p.args.card = "" + card;
            p.args.card_pwd = "" + pwd;
            p.args.card_type = type;
            p.args.payBack = $root.payBackURL;
            console.log("goEx " + p.args.uid);
            native.call(function(result){
                if(result == "1"){
                    native.startActivity(function(){
                        //setTimeout(function(){
                        //callback();
                        //},1500);
                    },"com.uc.sdk.RechargeActivity");
                }
            }, JSON.stringify(p));
        }
    },

    //自有平台的支付宝
    aliPay:function(money){
        if(native){
            var p = {};
            p.clz = 'com.baili.sanguo.utils.JsUtils';
            p.method = 'setAliPayInfo';
            p.args = {};
            p.args.amount = money;
            //p.args.serverID = 0;
            p.args.uid = DataManager.Singleton.getCacheRequest(UserInfo).data.uid;
            p.args.serverID = DataManager.Singleton.getCacheRequest(UserInfo).data.serverid;
            p.args.payBack = $root.payBackURL + "?" + APIUtils.getSelfParam();
            console.log("goEx " + p.args.uid);
            native.call(function(result){
                if(result == "1"){
                    native.startActivity(function(){
                        //setTimeout(function(){
                        //if(callback)callback();
                        //},1500);
                    },"com.uc.sdk.RechargeActivity");
                }
            }, JSON.stringify(p));
        }
    },

    getUUID:function(callback){
        if(native){
            var p = {};
            p.clz = 'com.baili.sanguo.utils.JsUtils';
            p.method = 'getUUID';
            p.args = {};
            native.call(callback, JSON.stringify(p));
        }
    },

    checkUpdate:function(callback){
		var url = $root.downRootURL + $root.updateFile;
        if(native){
            var p = {};
            p.clz = 'com.baili.sanguo.utils.JsUtils';
            p.method = 'checkUpdate';
            p.args = {};
            p.args.url = url;
            native.call(callback, JSON.stringify(p));
            console.log("checkUpdate:" + url);
        }
    },

    update:function(path, file, callback){
        if(native){
            var p = {};
            p.clz = 'com.baili.sanguo.utils.JsUtils';
            p.method = 'update';
            p.args = {};
            p.args.path =  path;
            p.args.file = file;
            p.args.url = $root.downRootURL;
            native.call(callback, JSON.stringify(p));
            console.log("update:" + path + file);
        }
    },

    updateVersion:function(version, callback){
        if(native){
            var p = {};
            p.clz = 'com.baili.sanguo.utils.JsUtils';
            p.method = 'updateVersion';
            p.args = {};
            p.args.version = version.toString();
            native.call(callback, JSON.stringify(p));
            console.log("updateVersion:" + version);
        }
    },

    showUserCenter:function(callback){
        if(window.native){
            window.native.startActivity(callback,"com.uc.sdk.UserActivity");
        }
    },

    quit:function(){
        if(native)native.quit();
    }
};

window.onbackpressed = function(){
    if(Alert){
        var h = function(result){
            if(result == 1)window.quit();
        }
        Alert.show("是否确定要退出？", h, 2, $root.app.formStage);
        h = null;
    }else{
        window.quit();
    }
}